This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 824316 - avoid duplicate nlm replies in case of errors
avoid duplicate nlm replies in case of errors
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Vivek Agarwal
Sachidananda Urs
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-23 05:23 EDT by Rajesh
Modified: 2016-02-17 19:02 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:34:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajesh 2012-05-23 05:23:18 EDT
Example:
In nlm4_test_fd_resume() if nfs_lk() fails we reply error to nlm client and return -1 to the caller. The caller would also reply error to the client. We have similar cases at nlm4_cancel_fd_resume nlm4_lock_fd_resume and nlm4_unlock_fd_resume.
Comment 1 Sachidananda Urs 2012-06-01 01:25:39 EDT
Need a patch id or url to gerrit to test this. Cannot verify what changes are made to resolve this bug.
Comment 2 Rajesh 2012-06-01 04:28:49 EDT
http://review.gluster.com/#change,3462

you can find the patches in gerrit also

Note You need to log in before you can comment on or make changes to this bug.